Subject: 8260 and HPTE

From: Jim Mar <[email-masked]>
Date: Wed, 11 Sep 2002 16:32:51 -0700

Hello,

I am using 2.4.18 on a proprietary 8260 board. It appears that
CPU_FTR_HPTE_TABLE is not supported for the 8260(603e). Therefore,
MMU_init_hw in ppc_mmu.c returns without patching create_hpte and
flush_hash_page in hashtable.S or allocating hash memory.

However, a Data Access Exception(0x300) eventually calls create_hpte,
trashing my memory.

What am I missing here?

Jim

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/